Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000158 [Piwigo] display minor always 2005.09.22 10:12 2005.09.26 21:18
Reporter noiry View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.0RC2 Product Version 1.5.0RC1
  Target Version Product Build
Summary 0000158: pb d'affichage des pages admin dans IE (en mode fenetre)
Description Les pages de droite s'affichent avec un grand saut de ligne après le premier cadre. Il faut scroller vers le bas
Steps To Reproduce
Additional Information Le bug se reproduit uniquement si la fenetre IE fait moins de 1024 pixels (a vue de nez)
Sous mozilla en affichage 1024*768 les tableaux debordent (au lieu d'etre redimensionnés) en on doit scroller droite-gauche.
Peut etre est une piste...
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000264)
plg (manager)
2005.09.24 21:38

Peux-tu fournir des (liens vers des) captures d'écrans ? Je n'ai pas Microsoft Internet Explorer sur mon ordinateur.

Pour mozilla en 1024 de large, je pense que tu parles des doubles listes de sélection. J'ai arbitrairement mis en 400 pixels de large chacune. C'est peut-être un peu trop. En 1.4, je trouvais que les 280 pixels étaient beaucoup trop petits pour mes catégories à rallonge.

Il faudrait trouver un compromis pour la valeur par défaut. Si tu peux faire des essais (dans template/yoga/admin/double_select.tpl)
(0000265)
VDigital (reporter)
2005.09.25 06:00

1176 pas de pb
1174 le bug
(0000266)
VDigital (reporter)
2005.09.25 06:15
edited on: 2005.09.25 06:16

Les liens:

Ecran d'upload :
http://www.web-images.org/images/450_upload_1_.jpg [^]
puis
http://www.web-images.org/images/450_upload_2_.jpg [^]

alors que la fenêtre un poil plus grande:
http://www.web-images.org/images/450_upload_normal.jpg [^]

(0000267)
plg (manager)
2005.09.25 17:06

Bon, je n'y comprends rien :-/ Et si tu passes la largeur du select à 300 pixels, ça doit aller mieux je suppose : dans template/yoga/default-layout.css, changer :

select.categoryList {
  width: 400px;
}

en

select.categoryList {
  width: 300px;
}
(0000269)
VDigital (reporter)
2005.09.25 19:47

Lorsque tu passes le select.categoryList de 400 à 300,
tu reportes le phénomène de 1174 à 974.
Je ne comprends pas d'où ça vient.
Une incompatibilté de paramètres avec ceux de titrepage...?
(0000271)
plg (manager)
2005.09.25 21:19

> Une incompatibilté de paramètres avec ceux de titrepage...?

Je n'en ai pas la moindre idée ! Si tu supprimes le bloc titrePage, ça rentre dans l'ordre ?
(0000272)
VDigital (reporter)
2005.09.26 05:50

Cela ne change rien...
Mais je vais regarder coté de doubleSelect (ce soir).

(Entre pararenthèses, j'aime bien les css en général, surtout bien structurés, ce qui est le cas, mais l'héritage des propriétés dans les css... A croire que les mecs n'ont jamais fait de la maintenance).
(0000273)
VDigital (reporter)
2005.09.26 17:37

Je ne sais pas si je suis conforme aux règles mais je pense avoir trouvé quelque chose qui marche...
C'est vérifié sous FF et IE (5 et 6).
Juste 3 modifs, cf. ci-dessous.
Au passage la boite de droite est intitulée "interdit" et devrait être "Interdites". 8;-)

Dans default-layout.css:

select.categoryList {
  width: 100%; /* 1st change : Update to max variable */
}

TABLE.doubleSelect {
  text-align: center;
  margin: 0 auto;
  width: 100% ; /* 2nd change : Added */
}

TABLE.doubleSelect TD {
  padding: 0 5px;
  width: 50% ; /* 3rd change : Added */
}
(0000274)
plg (manager)
2005.09.26 21:17

Excellent! utilisation optimale de la largeur de l'écran. Comme en plus tu valides que le problème disparaît par la même occasion sur IE5, alors je commit tout de suite ta proposition :-)

- Issue History
Date Modified Username Field Change
2005.09.22 10:12 noiry New Issue
2005.09.22 10:12 noiry browser => any
2005.09.22 10:12 noiry Web server => Apache 1.3.x
2005.09.24 21:38 plg Note Added: 0000264
2005.09.24 21:39 plg Status new => feedback
2005.09.25 06:00 VDigital Note Added: 0000265
2005.09.25 06:15 VDigital Note Added: 0000266
2005.09.25 06:16 VDigital Note Edited: 0000266
2005.09.25 17:06 plg Note Added: 0000267
2005.09.25 19:47 VDigital Note Added: 0000269
2005.09.25 21:19 plg Note Added: 0000271
2005.09.26 05:50 VDigital Note Added: 0000272
2005.09.26 17:37 VDigital Note Added: 0000273
2005.09.26 21:17 plg Note Added: 0000274
2005.09.26 21:18 plg Assigned To => plg
2005.09.26 21:18 plg Status feedback => closed
2005.09.26 21:18 plg Resolution open => fixed
2005.09.26 21:18 plg Fixed in Version => 1.5.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker